#if !defined(AFX_NODEOBJECTREFERENCEVIEW1_H__1B2F6D7C_C231_46BC_9A07_4BE4C583780C__INCLUDED_)
#define AFX_NODEOBJECTREFERENCEVIEW1_H__1B2F6D7C_C231_46BC_9A07_4BE4C583780C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NodeObjectReferenceView1.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNodeObjectReferenceView view

class CNodeObjectReferenceView : public CListView
{
protected:
	CNodeObjectReferenceView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNodeObjectReferenceView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNodeObjectReferenceView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CNodeObjectReferenceView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CNodeObjectReferenceView)
	afx_msg void OnItemchanged(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NODEOBJECTREFERENCEVIEW1_H__1B2F6D7C_C231_46BC_9A07_4BE4C583780C__INCLUDED_)
